---
Name: "edge-lab-bootstrap-content-check"
Description: "Get extra content for Edge Lab"
Documentation: |
  A task to update content packs for Edge Lab.
ExtraClaims:
  - scope: "contents"
    action: "*"
    specific: "*"
  - scope: "profiles"
    action: "get"
    specific: "global"
Templates:
  - Name: "content-packs.sh"
    Path: ""
    Contents: |
      #!/usr/bin/env bash

      {{ template "setup.tmpl" . }}

      echo "Get the Kube-Lib Catalog"
      {{ if not (.ParamExists "kube-lib/k3s-version") }}
        echo "add kube-lib to catalog"
        drpcli catalog item install kube-lib --version=tip
      {{ else }}
        echo "no action: kube-lib already installed"
      {{ end }}

      echo "done"
      exit 0
Meta:
  type: "setup"
  icon: "cloud"
  color: "yellow"
  title: "Community Content"
  feature-flags: "sane-exit-codes"
  copyright: "RackN 2020"
